Aspect Timeline
POST /api/v1/aspect-timeline
POST
/api/v1/aspect-timeline
Calculate a timeline of when two specific planets form an exact aspect within a date range, including enter/exact/leave dates.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
Example
{ "planet1Id": 0, "planet2Id": 6, "aspectAngle": 90, "startDate": "2024-01-01", "endDate": "2024-12-31", "orb": 3}Responses
Section titled “ Responses ”Successful calculation
object
ok
boolean
Example
true data
object
Validation error
Example
{ "ok": false, "error": { "code": "INVALID_INPUT", "message": "Validation failed: date: Date must be YYYY-MM-DD", "details": [ { "path": "date", "message": "Date must be YYYY-MM-DD" } ] }}Missing or invalid API key
Example
{ "ok": false, "error": { "code": "INVALID_API_KEY", "message": "Invalid API key" }}